1

(2,433 odpowiedzi, napisanych Oprogramowanie)

@maj0nez
Obsługę modemu adsl/vdsl pod OpenWrt mają tylko modele oparte na układzie Lantiq.
Jeżeli potrzebujesz dużo pamięci flash/RAM, to pozostaje jedynie ZyXEL P-2812HNU-Fx (128MB/128MB).
Tylko w przypadku lini adsl istotne jast jaki masz annex:
P-2812HNU-F1 - annex A, P-2812HNU-F3 - annex B
Jeżeli chcesz korzystać z WiFi to pozostaje Ci tylko TP-LINK TD-W8970 v1 - w ZyXEL-ach WiFi to porażka.
I jeszcze jedno, żeby wrzucić OpenWrt do tych zabawek, to trzeba je rozebrać i użyć konwertera USB -> TTL  i lutownicy smile

To nie są polecenia, tylko część zawartości etc/config/network!
Oryginalnie masz tak:

    config switch_vlan
        option device 'switch0'
        option vlan '1'
        option ports '0 2 4 5 6t'

Masz ten wpis zmodyfikować, aby wyglądał tak:

    config switch_vlan
        option device 'switch0'
        option vlan '1'
        option ports '0 2 4 6t'

    config switch_vlan
        option device 'switch0'
        option vlan '2'
        option ports '5 6t'

    config interface 'wan'
        option ifname 'eth0.2'
        option proto 'dhcp'

Tu masz przykład, jak wydzielić port WAN na bliźniaczym modelu:
https://eko.one.pl/?p=openwrt-tdw8970
Tylko od tego czasu zmieniła się numeracja portów i LAN4/WAN ma inny numer.

4

(56 odpowiedzi, napisanych Oprogramowanie)

Z tego, co czytałem to MT7612U z Openwrt sprawia najmniej problemów, z Realtekami jest różnie.

5

(56 odpowiedzi, napisanych Oprogramowanie)

@mar_w dzięki za testy.
Sam przymierzam się do kupna i na razie byłaby podpięta pod port USB 2.0 routera.
Dręczy mnie pytanie, czy warto przepłacać za Netgeara?

6

(56 odpowiedzi, napisanych Oprogramowanie)

Wg autora tych postów działa również w trybie AP:
https://forum.openwrt.org/t/wi-fi-adapt … -b/56969/7
https://forum.openwrt.org/t/wi-fi-adapt … b/56969/20

7

(8 odpowiedzi, napisanych Oprogramowanie)

Konfiguracja dla TalkTalk:

config dsl 'dsl'
    option annex 'b'
    option tone 'a'

config interface 'wan'
    option ifname 'dsl0.101'
    option proto 'dhcp'
    option mtu '1500'
    option ipv6 '0' 

Dla pozostałych dostępna pod tym linkiem:
https://openwrt.org/docs/guide-user/net … igurations

8

(8 odpowiedzi, napisanych Oprogramowanie)

Wywal tą sekcję:

#config interface 'wan6'
      #option ifname '@wan'
      #option proto 'dhcpv6'

W sekcji 'wan' zmień ipv6 z 'auto' na  '0' i dla pewności jeszcze dodaj zapis: option delegate '0'

Po zmianach będzie:

config interface 'wan'
    option ifname 'dsl0.101'
    option proto 'pppoe'
    option ipv6 '0'
    option delegate '0'
    option username '**********6@talktalk.net'
    option password '******'

9

(8 odpowiedzi, napisanych Oprogramowanie)

Zamień wpisy w sekcjach dsl i wan na takie:

config dsl 'dsl'
    option line_mode 'vdsl'
    option xfer_mode 'ptm'
    option annex 'a'
    option ds_snr_offset '0'

config interface 'wan'
    option ifname 'dsl0.101'
    option proto 'pppoe'
    option ipv6 'auto'
    option username '**********6@talktalk.net'
    option password '******'

10

(8 odpowiedzi, napisanych Oprogramowanie)

Pokaż zawartość: etc/config/network

11

(6 odpowiedzi, napisanych Oprogramowanie)

Wg tego co piszą na 13 stronie manuala ten router posiada modem z Annexem B, więc niema szans by działał na linii z Annexem A
https://pl.avm.de/fileadmin/user_upload … 330-pl.pdf

Pozdrawiam

12

(299 odpowiedzi, napisanych Oprogramowanie)

@onken
Twój znajomy próbuje exportować toolchain z SDK dla wersji 18.06.4, a używa poleceń do eksportu ze snapshota (tam jest x86-64_gcc-7.4.0_musl)

https://downloads.openwrt.org/releases/18.06.4/targets/x86/64/openwrt-sdk-18.06.4-x86-64_gcc-7.3.0_musl.Linux-x86_64.tar.xz
https://downloads.openwrt.org/snapshots/targets/x86/64/openwrt-sdk-x86-64_gcc-7.4.0_musl.Linux-x86_64.tar.xz

Dla wersji 18.06.4 powinno być raczej tak:

export TOOLCHAIN=/home/rafal/build/openwrt-sdk-18.06.4-x86-64_gcc-7.3.0_musl.Linux-x86_64/staging_dir/toolchain-x86_64_gcc-7.3.0_musl
export STAGING_DIR=/home/rafal/build/openwrt-sdk-18.06.4-x86-64_gcc-7.3.0_musl.Linux-x86_64/staging_dir/toolchain-x86_64_gcc-7.3.0_musl
svn checkout http://www.streamboard.tv/svn/oscam/trunk oscam-svn 
cd oscam-svn
make config
make CROSS=$TOOLCHAIN/bin/x86_64-openwrt-linux-musl- CONF_DIR=/etc/oscam 

P.S. Jeżeli używasz czytnika Pheonix, to wystarczy jedynie pobrać SDK i skompilować bez żadnych dodatkowych bibliotek

13

(24 odpowiedzi, napisanych Oprogramowanie)

Miałem podobny problem na serwerze (P-2812HNU-F1) - po restarcie firewall blokował mi internet i kliencie (nexx WT3020) - łączył się po wifi z routerem i brak neta.
Nie pamiętam gdzie znalazłem rozwiązanie, ale jedyny dodatkowy wpis w konfiguracji firewalla mam taki:

config rule
    option src '*'
    option target 'ACCEPT'
    option proto 'udp'
    option dest_port '55055'
    option name 'Allow-Wireguard-Inbound'

reszta pozostała nietknięta i działa

VLAN ID dla neostrady vdsl wynosi 35 i jest wymagany do nawiązania połączenia internetowego.
W pliku etc/config/network jest w tej linii:

option ifname 'dsl0.35'

Podobnie jak @Królik nie radzę przywracać konfiguracji z Barrier Breaker - wgraj 18.06.4 bez zachowywania ustawień i najlepiej poświęć czas na ponowną kofigurację.

Nie potrzeba żadnej binarki - jest już w obrazie (o wiele nowsza i z tego co pamiętam z obsługą vdsl2 vectoring-u).
Większość rzeczy można zrobić z poziomu LuCi.
Można ustawić sobie SNR - żeby wyciągnąć trochę więcej z łącza (u mnie ustawione na: -2,5)
Dla neostrady vdsl2 konfiguracja wygląda tak:

config dsl 'dsl'
    option annex 'a'
    option xfer_mode 'ptm'
    option line_mode 'vdsl'
    option ds_snr_offset '-25'

config interface 'wan'
    option ifname 'dsl0.35'
    option proto 'pppoe'
    option delegate '0'
    option username 'xxx@neostrada.pl'
    option password 'xxx'
    option ipv6 '0'

config device 'wan_dev'
    option name 'dsl0'
    option macaddr 'x:x:x:x:x:x'

Wszystko można wyklikać (tylko VLAN ID wymaga ręcznego wpisania)

16

(2,433 odpowiedzi, napisanych Oprogramowanie)

eerozeteen napisał/a:

Trochę za późno zacząłem się orientować w temacie, bo w sklepach stacjonarnych nie ma od ręki nic... Znalazłem używkę mr3020 za 50 zł na miejscu i to będą brać, wg opinii to starszy brat 902ac więc chyba nie powinienem być zawiedziony.  Pewnie o luci na nim będę mógł pomarzyć ale będzie to dobry moment żeby w końcu nauczyć się obsługiwać i zrozumieć uci :-)

Upewnij się czy ten TL-MR3020 to wersja 3.x - ma 8MB Flash i 64MB RAM - poprzednie wersje miały (jak pisał Cezary) tylko 4MB/32MB.

17

(3 odpowiedzi, napisanych Sprzęt)

Nie rozumiem pytania, chcesz go bezpośrednio podłączyc pod linię vdsl2 z Orange?
Ten router nie ma modemu xdsl: https://pl.avm.de/produkty/fritzbox/fri … echniczne/

18

(26 odpowiedzi, napisanych Oprogramowanie)

Znalazłem ten wątek:
http://eko.one.pl/forum/viewtopic.php?id=13684
Jak skompilujesz obraz "fat" o rozmiarze ~3.4 MB z włączonym wifi, to wydaje się że będzie z górki.
Potem już wejdzie Ci najnowszy Gargoyle Cezarego.

19

(26 odpowiedzi, napisanych Oprogramowanie)

JanMaz napisał/a:

Próbowałem 1.5.9.11 http://chomikuj.pl/szwagierluki/OpenWRT … 127308.bin ale jest za duży o 130 KB

Można gdzieś jeszcze zlokalizować stare obrazy Gargoyle_PL 1.5.8 lub 1.5.7?
Może istnieją inne buildy czystego openwrt z default wifi on lub gotowe skrypty do szybkiej kompilacji openwrt?

Nie ma sensu wgrywanie starszych wersji, ja użyłem 1.6.1.4:
Spróbuj zrobić to w tej kolejności:
1. gargoyle-1.6.1.4-ar71xx-dir-825-b1-squashfs-backup-loader.bin
2. gargoyle-1.6.1.4-ar71xx-dir-825-b1-fat-squashfs-sysupgrade.bin

20

(26 odpowiedzi, napisanych Oprogramowanie)

Też miałem ten sam problem z portami LAN

Zaciągnij starszą wersję fat (np.: 1.6.1 / 1.6.2) stąd: https://www.gargoyle-router.com/download.php

Później możesz wgrać najnowszy fat Cezarego

Edit:
Nie wiem czy wskazane obrazy mają domyślnie włączone wifi???
W razie czego mogę Ci wystawić wersje 1.6.1 Cezarego - która powinna być OK.
Wiem że mimo uszkodzonych LAN-ów wgrałem wersje 1.9 Cezarego - ale to było wieki temu i nie pamiętam których obrazów użyłem.

21

(164 odpowiedzi, napisanych Oprogramowanie)

druciki napisał/a:

Cześć

2. chciałbym bardzo zobaczyć jak wygląda obrazek konwertera napięć CP2102 z postu #82 ale także zniknął

mogę prosić o update

dziękuje

Obrazek był z tego wątku:https://tplinkforum.pl/t/w8970-openwrt/6215

Pozdrawiam

Tu masz opis: https://wiki.openwrt.org/toh/tp-link/td … g_the_case
Część ludzi uśmierciła router (w tym Heinz, który próbował wielokrotnie) - inni twierdzą że działa.

23

(3 odpowiedzi, napisanych Oprogramowanie)

Diody w P2812 już świecą:
https://bugs.openwrt.org/index.php?do=d … ;closedto=

24

(2 odpowiedzi, napisanych Oprogramowanie)

Witam.
Następnym razem wypadałoby poszukać - przed zakładaniem wątku: https://eko.one.pl/forum/viewtopic.php? … 67#p189567
Odpowiednie sekcje winny wyglądać tak:

#config atm-bridge 'atm'
    #option payload 'bridged'
    #option vci '35'
    #option vpi '0'
    #option encaps 'vc'

config dsl 'dsl'
    option annex 'a'
    option tone 'av'
    option xfer_mode 'atm'
    option line_mode 'adsl'

config interface 'wan'
    option ifname 'nas0'
    option proto 'pppoa'
    option encaps 'vc'
    option atmdev '0'
    option vci '35'
    option vpi '0'
    option username 'uzytkownik'
    option password 'haslo'
    option ipv6 '0'
    option delegate '0'

config device 'wan_dev'
    option name 'nas0'
    option macaddr 'f8:1a:67:5b:39:25'

25

(30 odpowiedzi, napisanych Oprogramowanie)

Cezary napisał/a:

Jak na życzenie - w wersji rozwojowej porzucili 4.4 i przeszli na 4.9  w lantiq.

W tym wątku: http://www.hwupgrade.it/forum/showthrea … p;page=229
Jest ostrzeżenie przed zmianą kernela na 4.9 dla posiadaczy HomeHub 5A (http://www.hwupgrade.it/forum/showpost. … count=4572)
Podobno dotyczy to jedynie tego modelu, nie dotyczy TD-W8970
Problem z odczytem w NAND przy flashowaniu??? - sorry ale nie znam włoskiego...
Może ktoś coś więcej wie w tym temacie?